import { ElementRef, Renderer } from '@angular/core';
export declare class SidenavComponent {
    el: ElementRef;
    renderer: Renderer;
    windwosWidth: number;
    shown: boolean;
    sidenavClass: string;
    sideNav: ElementRef;
    isSidenavFixed: boolean;
    overlay: any;
    constructor(el: ElementRef, renderer: Renderer);
    ngAfterViewInit(): void;
    windwosResize(): void;
    show(): void;
    hide(): void;
    toggle(): void;
    showOverlay(): void;
    hideOverlay(): void;
    setShown(value: boolean): void;
}
